function plotmap(u4,dx,r0,r1,mp,t)
 b=ones(mp,mp);
 c=ones(mp,mp).*(1:mp);
 r=transpose(c);
 if(r0)
   i1=find(sqrt((r-mp/2).^2+(c-mp/2).^2)<=r0);
   b(i1)=NaN;
 end  
 if(r1)
  i1=find(sqrt((r-mp/2).^2+(c-mp/2).^2)>r1);
  b(i1)=NaN;
 end
%
 switch(t)
 case 1
  pcolor(dx*(-mp/2+1:mp/2),dx*(-mp/2+1:mp/2),b.*u4(end:-1:1,:));
  shading('flat');
  axis([-dx*mp/2 dx*mp/2 -dx*mp/2 dx*mp/2]);
 case 2
  contourf(dx*(-mp/2+1:mp/2),dx*(-mp/2+1:mp/2),-u4);
 end
end